Package com.trilead.ssh2.util

# Class TimeoutService.TimeoutToken

java.lang.Object
com.trilead.ssh2.util.TimeoutService.TimeoutToken

All Implemented Interfaces:
  `Comparable`

Enclosing class:
  `TimeoutService`

public static class TimeoutService.TimeoutToken extends Object implements Comparable

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`